# Migrate Process Regex

This module provides a way to use Regular Expressions in a Drupal migration. This allows for pattern matching and text replacements where XPath alone wouldn’t be enough. For example, when you have two quotes next to each other that should have been one quote.

## Usage

This module allows you to run regular expressions easily within your migrations as a process plugin:

```yaml
  field_body:
    -
      plugin: preg_replace
      pattern: 'http[s]{0,1}:\/\/example\.com'
      replace: '/'
      source: body
```

## Installation

Install like any other module:

```shell
composer require drupal/migrate_process_regex
```